<template>
	<view class="back_home" :style="{background:color2}" @click="backHome">
		<image class="back_home_icon" src="https://dm.static.elab-plus.com/yezhu/icon_home.png" mode=""></image>
		<text>返回\n任务大厅</text>
	</view>
</template>

<script>
	export default {
		name:"backHome",
		data() {
			return {
				color2:""
			};
		},
		mounted() {
			this.color2 = getApp().globalData.color2;
		},
		methods:{
			backHome(){
				uni.navigateBack({
					delta:1,
				})
			}
		}
	}
</script>

<style lang="scss">
.back_home{
		position: fixed;
		bottom: 180rpx;
		right: 0;
		width: 100rpx;
		height: 120rpx;
		border-radius: 20rpx 0rpx 0rpx 20rpx;
		box-shadow: 0rpx 10rpx 20rpx 0rpx rgba(119,55,12,0.20); 
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		.back_home_icon{
			width: 30rpx;
			height: 28rpx;
			margin-bottom: 9rpx;
		}
		font-size: 20rpx;
		font-family: PingFang SC, PingFang SC-Semibold;
		font-weight: 600;
		text-align: center;
		color: #ffffff;
	}
</style>
